Imports System.Xml
Public Class Datensammlung

    Public Liste_Ersatzbegriffe As New ArrayList
    Public Liste_Adjektive As New ArrayList
    Public Liste_Adverbe As New ArrayList
    Public Liste_Lokalisationsgruppen As New ArrayList

    Public Sub New()

        Dim thisExe As System.Reflection.Assembly = System.Reflection.Assembly.GetExecutingAssembly()
        Dim file As System.IO.Stream = thisExe.GetManifestResourceStream("MenschControlDemo.MenschControl.xml")
     
                Dim reader As XmlTextReader = New XmlTextReader(file)


                reader.WhitespaceHandling = WhitespaceHandling.None
                Dim xmlDoc As XmlDocument = New XmlDocument
                xmlDoc.Load(reader)
                reader.Close()

                Dim xnod As XmlNode = xmlDoc.DocumentElement

                Dim xKn, xKn1 As XmlNode
                For Each xKn In xnod.ChildNodes
                    If xKn.Name = "Liste_Adverbe" Then
                        For Each xKn1 In xKn.ChildNodes
                            If xKn1.Name = "Adverb" Then
                                Liste_Adverbe.Add(New Adverb(xKn1))
                            End If
                        Next
                    End If
                Next

                For Each xKn In xnod.ChildNodes
                    If xKn.Name = "Liste_Adjektive" Then
                        For Each xKn1 In xKn.ChildNodes
                            If xKn1.Name = "Adjektiv" Then
                                Liste_Adjektive.Add(New Adjektiv(xKn1))
                            End If
                        Next
                    End If
                Next

                For Each xKn In xnod.ChildNodes
                    If xKn.Name = "Liste_Ersatzbegriffe" Then
                        For Each xKn1 In xKn.ChildNodes
                            If xKn1.Name = "Ersatzbegriff" Then
                                Liste_Ersatzbegriffe.Add(New Ersatzbegriff(xKn1, Liste_Adjektive))
                            End If
                        Next
                    End If
                Next

                For Each xKn In xnod.ChildNodes
                    If xKn.Name = "Liste_Lokalisationsgruppen" Then
                        For Each xKn1 In xKn.ChildNodes
                            If xKn1.Name = "Lokalisationsgruppe" Then
                                Liste_Lokalisationsgruppen.Add(New Lokalisationsgruppe(xKn1, Liste_Ersatzbegriffe))
                            End If
                        Next
                    End If
                Next

                Dim Gef As Boolean
                For I As Integer = 0 To 47
                    Gef = False
                    Dim Lok As Lokalisationen = CType(I, Lokalisationen)
                    For Each LG As Lokalisationsgruppe In Liste_Lokalisationsgruppen
                        If LG.Lokalisation = Lok Then
                            Gef = True
                        End If
                    Next
                    If Not Gef Then
                        Dim LG1 As New Lokalisationsgruppe(Lok)
                        Liste_Lokalisationsgruppen.Add(LG1)
                    End If
                Next
          End Sub
   
End Class
